services:
  breadcrumb_manager.breadcrumb:
    class: Drupal\breadcrumb_manager\Breadcrumb\BreadcrumbManagerBuilder
    parent: system.breadcrumb.default
    arguments: ['@plugin.manager.breadcrumb_title_resolver', '@module_handler']
    tags:
      - { name: breadcrumb_builder, priority: 9000 }

  plugin.manager.breadcrumb_title_resolver:
    class: Drupal\breadcrumb_manager\Plugin\BreadcrumbTitleResolverManager
    parent: default_plugin_manager
    arguments: ['@config.factory']

  cache.breadcrumb_manager:
    class: Drupal\Core\Cache\CacheBackendInterface
    tags:
      - { name: cache.bin }
    factory: cache_factory:get
    arguments: ['breadcrumb_manager']
